/// <reference types="react" />
import { Variant as ThemeVariant } from "@material-ui/core/styles/createTypography";
import { XBaseControl } from "./XBaseControl";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XHeading extends XBaseControl {
    type: ThemeVariant;
    text: string;
    valueName?: string;
    fromData: boolean;
    maxLength?: number;
    fontSize?: number;
    color?: string;
    background?: string;
    textAlign: "left" | "center" | "right";
    constructor();
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
